const {
  spawnSync
} = require('child_process');
var arguments = process.argv.splice(2);
let res = spawnSync('python',
  [
    `/home/www/rayplus_cms/app/python/getFirstImageFromStudy.py`,
    `-remotehost=172.17.1.131`,
    `-remoteport=104`,
    `-aec=SERVER`,
    `-StudyInstanceUID=${arguments[0]}`,
    `-PatientID=${arguments[1]}`,
    `-p=7010`
  ], {
    timeout: 80 * 1000,
    killSignal: "SIGKILL",
    encoding: 'utf8'
  })

console.log(`pid:${res.pid}`, res.stdio[0], res.stdio[1], res.stdio[2],
  `stdout:${res.stdout}`, `signal:${res.signal}`)